Retrieve health records
curl --request GET \
--url https://api.eka.care/health/api/v2/fhir/retrieve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/health/api/v2/fhir/retrieve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/health/api/v2/fhir/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "Unauthorized"
}{}Retrieve Parsed Report
Use this api with the identifier which you have recieved in webhook events to fetch results. This endpoint returns a FHIR response.
GET
/
health
/
api
/
v2
/
fhir
/
retrieve
Retrieve health records
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
eka user id (OID)
Query Parameters
The unique identifier for the health record is care_context_id.
Response
Successful retrieval of health records.
Please refer to FHIR bundle response https://hl7.org/fhir/R4/bundle.html
Was this page helpful?
⌘I

